# Uses of Interface
org.eclipse.ecf.remoteservice.rest.IRestCall

Packages that use IRestCall
Package
Description
org.eclipse.ecf.remoteservice.rest

## Uses of IRestCall in org.eclipse.ecf.remoteservice.rest

Classes in org.eclipse.ecf.remoteservice.rest that implement IRestCall
Modifier and Type
Class
Description
`class`
`RestCall`
Implementation of `IRestCall`.
Methods in org.eclipse.ecf.remoteservice.rest that return IRestCall
Modifier and Type
Method
Description
`static IRestCall`
RestCallFactory.`createRestCall(String resourcePath)`
`static IRestCall`
RestCallFactory.`createRestCall(String fqMethod, Object[] params)`
`static IRestCall`
RestCallFactory.`createRestCall(String fqMethod, Object[] params, Map requestHeaders)`
`static IRestCall`
RestCallFactory.`createRestCall(String fqMethod, Object[] params, Map requestHeaders, long timeout)`